Subject: Re: [PATCH 2/3] http: try standard proxy env vars when http.proxy config option is not set

From: Nelson Benitez Leon <[email-masked]>
Date: Tue, 13 Mar 2012 11:22:34 +0100

On 03/11/2012 08:12 PM, Junio C Hamano wrote:
> James Cloos <[email-masked]> writes:
> 
>> Please include a way, eg via ~/.gitconfig, to ignore any http_proxy in
>> the environment and connect directly.
> 
> Hrm.
> 
> I think without this patch series, the "NO_PROXY" environment
> variable is honored by the curl library when it uses http_proxy
> to make the decision. If this patch (or a future reroll of it) fails
> to do the same, it would be a regression.
> 
> Nelson, do you agree?

I agree, so I would need to handle $no_proxy in the patch-set, will look
into that.